Get Report
curl --request GET \
--url https://api.kpi.ms/integration/v1/client/campaigns/{campaignId}/jobs/{jobId}/report \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kpi.ms/integration/v1/client/campaigns/{campaignId}/jobs/{jobId}/report"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kpi.ms/integration/v1/client/campaigns/{campaignId}/jobs/{jobId}/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"job": {
"id": 123,
"job_score_percentage": "<string>",
"campaign": {
"id": 123,
"campaign_name": "<string>"
},
"location": {
"id": 123,
"location_code": "<string>",
"location_name": "<string>",
"is_competitor": true,
"competitor_name": "<string>"
},
"report": {
"id": 123,
"report_type": "<string>",
"survey_id": 123,
"survey_name": "<string>"
}
},
"sections": [
{
"id": "<string>",
"section_title": "<string>",
"sort_order": "<string>",
"percentage": "<string>",
"obtained_score": "<string>",
"max_score": 123,
"questions": [
{
"type": "<string>",
"reference_code": "<string>",
"question": "<string>",
"question_type": "<string>",
"response": "<string>",
"obtained_score": "<string>",
"max_score": "<string>",
"comment": "<string>",
"photos": [
"<string>"
],
"threads": [
"<string>"
],
"logic_questions": [
"<string>"
]
}
],
"text_entries": [
{
"description": "<string>",
"answer": "<string>"
}
],
"inputs": [
{
"input_type": "<string>",
"description": "<string>",
"answer": "<string>"
}
],
"media_galleries": [
{
"description": "<string>",
"view_type": "<string>",
"images": [
{
"url": "<string>",
"thumb_url": "<string>",
"caption": "<string>"
}
]
}
]
}
]
}
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}Job
Get Report
GET
/
integration
/
v1
/
client
/
campaigns
/
{campaignId}
/
jobs
/
{jobId}
/
report
Get Report
⌘I